#ifndef _DEMOS_H
#define _DEMOS_H

#define MOUSE_DELTA           4
#define UPDATE_SHOW_DLY       ((Int32U)(0.5 * 2))

struct s_Demo
{
  const char * name;
  int (* Demo)(void);
};


extern __ALIGN_BEGIN USB_OTG_CORE_HANDLE  USB_OTG_dev __ALIGN_END;
extern const struct s_Demo Demo[4];
extern USBD_Usr_cb_TypeDef USR_cb;


void SysTickStart(uint32_t Tick);
void HardwareInit ();

void Blink (int Delay);
int RTC_Demo(void);
void USB_USR_Null(void);
void USB_USR_Reset(Int8U speed);
void USB_OTG_BSP_Init(USB_OTG_CORE_HANDLE *pdev);
void USB_OTG_BSP_EnableInterrupt(USB_OTG_CORE_HANDLE *pdev);
void USB_Mouse(void);
int USBOTG_Demo(void);
int USBHOST_Demo(void);
int SDCard_Demo(void);

#endif